import 'package:auth0_flutter2/auth0_flutter2.dart';
import 'package:flutter/material.dart';

void main() {
  Auth0Flutter2.auth0Domain = "AUTH0_DOMAIN";
  Auth0Flutter2.auth0ClientId = "AUTH0_CLIENT_ID";

  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Auth0Flutter2 Demo',
      theme: ThemeData(
        primarySwatch: Colors.deepPurple,
      ),
      home: const MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({super.key});

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  String _userId = "";

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            ElevatedButton(
              onPressed: () {
                Auth0Flutter2.instance.loginUser();
              },
              child: const Text(
                "Login User",
              ),
            ),
            const SizedBox(height: 8),
            ElevatedButton(
              onPressed: () {
                Auth0Flutter2.instance.logoutUser();
              },
              child: const Text(
                "Logout User",
              ),
            ),
            const SizedBox(height: 8),
            ElevatedButton(
              onPressed: () async {
                var userId = await Auth0Flutter2.instance.getLoggedInUserId();
                setState(() {
                  _userId = userId ?? "User Not Logged In";
                });
              },
              child: const Text(
                "Fetch Logged In UserId",
              ),
            ),
            const SizedBox(height: 20),
            Text(
              "Authenticated User ID: $_userId",
              textAlign: TextAlign.center,
              style: const TextStyle(
                fontWeight: FontWeight.bold,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
